const app = getApp()
import {
  Base
} from '../../../utils/base.js';
const base = new Base()
Page({
  data: {
    coach_id: -1,
    activeIndex: 1,
    datalList: [],
    locked: false,
    classList: [],
  },


  onLoad: function (options) {
    wx.showLoading({
      title: '加载中...',
    })
    this.setData({
      coach_id: app.globalData.coach_id
    })
    this.getList()
    this.getMyclasslist();
  },
  // 抢班列表
  getList: function () {
    wx.showLoading({
      title: '加载中',
    })
    let params = {
      url: 'coach/roblist',
      data: {
        coach_id: this.data.coach_id
      },
      callback: (data) => {
        console.log(data)
        wx.hideLoading();
        this.setData({
          datalList: data,
          locked: false
        })
      }
    }
    base.newRequest(params)
  },
  // 我的班级列表
  getMyclasslist: function () {
    wx.showLoading({
      title: '加载中...',
    })
    let params = {
      url: 'coach/myclasses',
      data: {
        coach_id: this.data.coach_id
      },
      callback: (data) => {
        console.log(data)
        wx.hideLoading();
        this.setData({
          classList: data,
          locked: false
        })
      }
    }
    base.newRequest(params)
  },
  // 抢班-我的班级列表
  getrobclass: function (e) {
    let class_id = e.currentTarget.dataset.id
    let params = {
      url: 'coach/robclass',
      data: {
        coach_id: this.data.coach_id,
        class_id: class_id
      },
      callback: (data) => {
        base.toast('抢班成功')
        this.setData({
          datalList: []

        })
        this.getList()
      }
    }
    base.newRequest(params)
  },
  changeTab(e) {
    let index = e.currentTarget.dataset.index
    if (this.data.activeIndex != index) {
      this.setData({
        activeIndex: index
      })
    }
  },
  goteamDetail(e) {
    var class_id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: '../../team/teamDetail/teamDetail?class_id=' + class_id,
    })
  },
  initData: function () {
    this.setData({
      datalList: [],
      locked: false
    })
  },
  onPullDownRefresh: function () {
    this.initData()
    if (!this.data.locked) {
      this.setData({
        locked: true
      })
      this.onLoadFun();
    }
    wx.stopPullDownRefresh()
  },
})